import 'package:auth/src/core/providers/auth_repository_provider.dart';
import 'package:auth/src/features/sign_up/domain/verify_two_fa_code_sign_up_use_case.dart';
import 'package:auth/src/features/sign_up/domain/verify_two_fa_code_sign_up_use_case_impl.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

final verifyTwoFACodeSignUpUseCaseProvider =
    Provider.autoDispose<VerifyTwoFACodeSignUpUseCase>((ref) {
      final authRepository = ref.read(authRepositoryProvider);
      return VerifyTwoFaCodeSignUpUseCaseImpl(authRepository);
    });
